%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}
%global debug_package %{nil}

# Created by pyp2rpm-3.3.3
%global pypi_name markdown-it-py

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.0.0
Release:        3%{?dist}
Summary:        Yet another URL library

License:        Apache 2
URL:            https://github.com/executablebooks/markdown-it-py
Source0:        https://files.pythonhosted.org/packages/source/y/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-add-setup-py.patch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-mdurl >= 0.1


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md

# Actual package name is markdown_it (?)
%{_bindir}/markdown-it
%pycached %{python3_sitelib}/markdown_it/*.py
%pycached %{python3_sitelib}/markdown_it/*/*.py
%{python3_sitelib}/markdown_it_py-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 19 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.0.0-3
- OLAM-375 Add missing runtime dependencies

* Fri Aug 23 2024 Rafael Barron Moreno <rafael.barron@oracle.com> - 3.0.0-2
- Remove flit_core dependency

* Mon Jul 29 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 3.0.0-1
- Update to 3.0.0
- Rebuild with python 3.11
- Add setup.py
